%{
#define YYSTYPE double
#include "provedDisproved.tab.h"
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
%}


%%
[ \t]+      { ; }

"proveddisproved" { 
                    return(ProvedDisproved);
                  }

[0-9]+ {
	  sscanf(yytext,"%d",&yylval); return(INT);
       }

\n         return (yytext[0]); 

.        { ; /* ignora tudo o resto */ }

%%


int yywrap()                  /* called by yylex()                  */
{ return(1); }                /*   0: yylex() continues reading     */
                              /*   other: yylex() stops             */
